xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) 2018 Lucian Poston
License | BSD-style (see LICENSE)
Maintainer | <lucianposton@pm.me>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.MultiToggle.TabBarDecoration

Description

Provides a simple transformer for use with XMonad.Layout.MultiToggle to dynamically toggle XMonad.Layout.TabBarDecoration.

Synopsis

- data SimpleTabBar = SIMPLETABBAR

# Documentation

data SimpleTabBar #

Transformer for XMonad.Layout.TabBarDecoration.

Constructors

SIMPLETABBAR |

Instances

Eq SimpleTabBar # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods (==) :: SimpleTabBar -> SimpleTabBar -> Bool # (/=) :: SimpleTabBar -> SimpleTabBar -> Bool #
Read SimpleTabBar # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods readsPrec :: Int -> ReadS SimpleTabBar # readList :: ReadS [SimpleTabBar] # readPrec :: ReadPrec SimpleTabBar # readListPrec :: ReadPrec [SimpleTabBar] #
Show SimpleTabBar # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods showsPrec :: Int -> SimpleTabBar -> ShowS # show :: SimpleTabBar -> String # showList :: [SimpleTabBar] -> ShowS #
Transformer SimpleTabBar Window # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods transform :: LayoutClass l Window => SimpleTabBar -> l Window -> (forall (l' :: * -> *). LayoutClass l' Window => l' Window -> (l' Window -> l Window) -> b) -> b #